#!/bin/sh

PROG=`basename $0`

KEYFILE=rabl_server.c

GETTEXTIZE_FLAGS=--no-changelog
AUTOPOINT_FLAGS=
LIBTOOLIZE_FLAGS=
ACLOCAL_FLAGS='-I m4'
AUTOHEADER_FLAGS=-Wall
AUTOMAKE_FLAGS='--add-missing -Wall'
AUTOCONF_FLAGS=-Wall

die()
{
    err=$?
    echo "$PROG: exited by previous error(s), return code was $err" >&2
    exit 1
}

if [ ! -f $KEYFILE ]
then
    echo "$PROG: key-file \`$KEYFILE' not found, exiting." >&2
    echo "$PROG: hint: you should run $PROG from top-level sourse directory." >&2
    exit 1
fi

# gettextize ${GETTEXTIZE_FLAGS}
# autopoint ${AUTOPOINT_FLAGS}
# xml-i18n-toolize       || die
# intltoolize            || die
libtoolize ${LIBTOOLIZE_FLAGS}  || die
aclocal ${ACLOCAL_FLAGS}        || die
autoheader ${AUTOHEADER_FLAGS}  || die
automake ${AUTOMAKE_FLAGS}      || die
autoconf ${AUTOCONF_FLAGS}      || die
