/*
 REACTIVE AUTONOMOUS BLACKHOLE LIST SERVER
 COPYRIGHT (C) 2005 DEEP LOGIC, INC.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifdef HAVE_CONFIG_H
#include <auto-config.h>
#endif

#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <unistd.h>

#ifdef TIME_WITH_SYS_TIME
#   include <sys/time.h>
#   include <time.h>
#else
#   ifdef HAVE_SYS_TIME_H
#       include <sys/time.h>
#   else
#       include <time.h>
#   endif
#endif

#include "error.h"

/*  Subroutine: report_error
   Description: Reports an error to the supported facilities (currently stderr)
    Parameters: Error message to report
*/
                                                                                
#ifndef HAVE_ISO_VARARGS

void
ERROR (const char *text, ...)
{
  fprintf(stderr, text); 
  fprintf(stderr, "\n");
  return;
}

void
LOG (int priority, char *text, ...)
{
  va_list args;

  va_start (args, text);
  openlog ("rabl_server", LOG_PID, LOG_MAIL);
  syslog (priority, text, args);
  closelog ();
  va_end (args);
  return;
}
#endif
