dnl
dnl     enable_gcc_warnings.m4
dnl
dnl     Copyright (c) 2001-2002 Business Computer Service, Ltd.
dnl     Written by Andrew W. Nosenko <awn@bcs.zp.ua>
dnl
dnl     Permission to use, copy, modify, distribute, and sell this
dnl     autoconf macroses and its documentation for any purpose is
dnl     hereby granted without fee, provided that the above copyright
dnl     notice appear in all copies and that both that copyright notice
dnl     and this permission notice appear in supporting documentation,
dnl     and that the name of Business Computer Service, Ltd. (BCS) not
dnl     be used in advertising or publicity pertaining to distribution
dnl     of the software without specific, written prior permission.  BCS
dnl     makes no representations about the suitability of this software
dnl     for any purpose.  It is provided "as is" without express or
dnl     implied warranty.
dnl
dnl     enable_gcc_warnings.m4,v 1.6 2002/01/28 20:48:53 awn Exp
dnl

AC_DEFUN([BCS_ENABLE_GCC_WARNINGS],
[

AC_ARG_ENABLE(warnings, 
[[  --enable-warnings[={no|[{yes|error}][,proto]}]
                          Disable (no) or enable (yes) more warnings
                          or enable and treat warnings as errors (error).
                          Simple --enable-warnings is the same
                          as --enable-warnings=yes.
                          You can add ',proto' to 'yes' or 'error' option
                          for turning on additional '-Wstrict-prototypes'
                          flag.
                          Have effect for GCC compilers only.
  --disable-warnings      Same as --enable-warnings=no [default]]])

if test x$GCC = xyes
then
    awn_param=",$enable_warnings,"
    awn_enable_warnings=`echo $awn_param|grep ',no,' >/dev/null 2>&1 && echo no || echo yes`
    awn_enable_error=`echo $awn_param|grep ',error,' >/dev/null 2>&1 && echo yes || echo no`
    awn_enable_strict_proto=`echo $awn_param|grep ',proto,' >/dev/null 2>&1 && echo yes || echo no`

	warn_flags='-Wall -Wmissing-prototypes -Wmissing-declarations'

    if test x$awn_enable_strict_proto != xno
    then
        warn_flags="$warn_flags -Wstrict-prototypes"
    fi

    if test x$awn_enable_error != xno
    then
        warn_flags="$warn_flags -Werror"
    fi

    if test x$awn_enable_warnings != xno
    then
        CFLAGS="$CFLAGS $warn_flags"
        CXXFLAGS="$CXXFLAGS $warn_flags"
    fi
fi
])
